description.title = Description
description.valueType = ExtendedStringField
#reentrant.valueType = BooleanField
small-icon.valueType = FileField
large-icon.valueType = FileField

session-type.values = "Stateful", "Stateless"
ejb-ref-type.values = "Entity", "Session"
env-entry-type.values = "java.lang.Boolean", "java.lang.String","java.lang.Integer","java.lang.Double","java.lang.Byte","java.lang.Short","java.lang.Long","java.lang.Float"
res-type.values = "javax.sql.DataSource", "javax.jms.QueueConnectionFactory", "javax.jms.TopicConnectionFactory", "javax.sql.XADataSource", "java.net.URL"
res-auth.values = "Application", "Container"

transaction-type.values = "Bean", "Container"
trans-attribute.values = "NotSupported", "Supports", "Required", "RequiresNew", "Mandatory", "Never"

ejb-jar.enterprise-beans.session.disableNew = true
ejb-jar.enterprise-beans.entity.disableNew = true
ejb-jar.assembly-descriptor.method-permission.disableNew = true
ejb-jar.assembly-descriptor.container-transaction.disableNew = true
ejb-jar.assembly-descriptor.container-transaction.method.disableNew = true

# element full name 
element.title = Element Name

# type of element data; 
# can be: StringField, ExtendedStringField, IntField, BooleanField, FloatField,
#         PasswordField, FileFiled, DirectoryField
# default is 'StringField';

#element.valueType = StringField

# if element can be assigned from a set of values:
#element.values = "v1", "v2", "v3"

# setting relationships between xml nodes and RwiElements
#these relations need to define for which rwi elements which properties need to be stored

#to connect xml node with rwi node we need to create construction like this:
#
#<xml_node_name>.type = com.togethersoft.modules.ejbframework.xmleditor.RwiClassByXMLTextNode
#<xml_node_name>.param.XMLElement = <xml_node_child_which_content_name_of_rwi_node>

entity.type = com.togethersoft.modules.ejbframework.xmleditor.RwiClassByXMLTextNode
entity.param.XMLElement = ejb-class

session.type = com.togethersoft.modules.ejbframework.xmleditor.RwiClassByXMLTextNode
session.param.XMLElement = ejb-class

#to connect xml node with rwi member we need to create construction like this:
#
#<xml_node_name>.type = com.togethersoft.modules.ejbframework.xmleditor.RwiElementByShortName
#<xml_node_name>.param.XMLElement = <xml_node_child>
#<xml_node_name>.param.ShapeType = <shape_type_of_rwi_member>
#<xml_node_name>.param.RwiPropertyToMatch = <rwi_property_of_meber>
#
# here to identify our member we need to values stored in <xml_node_child> and <rwi_property_of_meber> was equal
# and shape type of rwi member was equal to shape type we define in <shape_type_of_rwi_member>

cmp-field.type = com.togethersoft.modules.ejbframework.xmleditor.RwiElementByShortName
cmp-field.param.XMLElement = field-name
cmp-field.param.ShapeType = Attribute
cmp-field.param.RwiPropertyToMatch = $name

env-entry.type = com.togethersoft.modules.ejbframework.xmleditor.RwiElementByShortName
env-entry.param.XMLElement = env-entry-name
env-entry.param.ShapeType = Attribute
env-entry.param.RwiPropertyToMatch = $initialValue

ejb-ref.type = com.togethersoft.modules.ejbframework.xmleditor.RwiElementByShortName
ejb-ref.param.XMLElement = ejb-ref-name
ejb-ref.param.ShapeType = Attribute
ejb-ref.param.RwiPropertyToMatch = $initialValue

security-role-ref.type = com.togethersoft.modules.ejbframework.xmleditor.RwiElementByShortName
security-role-ref.param.XMLElement = role-name
security-role-ref.param.ShapeType = Attribute
security-role-ref.param.RwiPropertyToMatch = $initialValue

resource-ref.type = com.togethersoft.modules.ejbframework.xmleditor.RwiElementByShortName
resource-ref.param.XMLElement = res-ref-name
resource-ref.param.ShapeType = Attribute
resource-ref.param.RwiPropertyToMatch = $initialValue

#security-role.type = com.togethersoft.modules.ejbframework.xmleditor.RwiElementByShortName
#security-role.param.XMLElement = role-name
#security-role.param.ShapeType = SecurityRole
#security-role.param.RwiPropertyToMatch = $name

# RWI-Properties
# here we are just define which xml tag in which property must be stored
# if some tag is child of node which related with some rwi element property will be stored for this element
# otherwise for active diagram

ejb-jar.description.rwiProperty = $doc
ejb-jar.display-name.rwiProperty = displayName
ejb-jar.small-icon.rwiProperty = smallIcon
ejb-jar.large-icon.rwiProperty = largeIcon
ejb-jar.ejb-client-jar.rwiProperty = ejbClientJar

#entity
ejb-jar.enterprise-beans.entity.description.rwiProperty = $doc
ejb-jar.enterprise-beans.entity.small-icon.rwiProperty = smallIcon
ejb-jar.enterprise-beans.entity.large-icon.rwiProperty = largeIcon
ejb-jar.enterprise-beans.entity.display-name.rwiProperty = displayName
ejb-jar.enterprise-beans.entity.ejb-name.rwiProperty = $ejbBeanIdentifier
ejb-jar.enterprise-beans.entity.home.readOnly = true
ejb-jar.enterprise-beans.entity.remote.readOnly = true
ejb-jar.enterprise-beans.entity.ejb-class.readOnly = true
ejb-jar.enterprise-beans.entity.persistence-type.readOnly = true
ejb-jar.enterprise-beans.entity.reentrant.readOnly = true
ejb-jar.enterprise-beans.entity.primkey-field.readOnly = true
ejb-jar.enterprise-beans.entity.prim-key-class.readOnly = true

ejb-jar.enterprise-beans.entity.cmp-field.description.rwiProperty = $doc
ejb-jar.enterprise-beans.entity.cmp-field.field-name.readOnly = true

ejb-jar.enterprise-beans.entity.env-entry.description.rwiProperty = $doc
ejb-jar.enterprise-beans.entity.env-entry.env-entry-name.readOnly = true
ejb-jar.enterprise-beans.entity.env-entry.env-entry-type.rwiProperty = EnvironmentEntryType
ejb-jar.enterprise-beans.entity.env-entry.env-entry-value.rwiProperty = EnvironmentEntryValue

ejb-jar.enterprise-beans.entity.ejb-ref.description.rwiProperty = $doc
ejb-jar.enterprise-beans.entity.ejb-ref.ejb-ref-name.readOnly = true
ejb-jar.enterprise-beans.entity.ejb-ref.ejb-ref-type.rwiProperty = ReferenceType
ejb-jar.enterprise-beans.entity.ejb-ref.home.rwiProperty = HomeInterface
ejb-jar.enterprise-beans.entity.ejb-ref.remote.rwiProperty = RemoteInterface
ejb-jar.enterprise-beans.entity.ejb-ref.ejb-link.rwiProperty = EJBLink

ejb-jar.enterprise-beans.entity.security-role-ref.description.rwiProperty = $doc
ejb-jar.enterprise-beans.entity.security-role-ref.role-name.readOnly = true
ejb-jar.enterprise-beans.entity.security-role-ref.role-link.rwiProperty = $name

ejb-jar.enterprise-beans.entity.resource-ref.description.rwiProperty = $doc
ejb-jar.enterprise-beans.entity.resource-ref.res-ref-name.readOnly = true
ejb-jar.enterprise-beans.entity.resource-ref.res-type.rwiProperty = ResourceRefType
ejb-jar.enterprise-beans.entity.resource-ref.res-auth.rwiProperty = ResourceRefAuth

#session
ejb-jar.enterprise-beans.session.description.rwiProperty = $doc
ejb-jar.enterprise-beans.session.small-icon.rwiProperty = smallIcon
ejb-jar.enterprise-beans.session.large-icon.rwiProperty = largeIcon
ejb-jar.enterprise-beans.session.display-name.rwiProperty = displayName
ejb-jar.enterprise-beans.session.ejb-name.rwiProperty = $ejbBeanIdentifier
ejb-jar.enterprise-beans.session.home.readOnly = true
ejb-jar.enterprise-beans.session.remote.readOnly = true
ejb-jar.enterprise-beans.session.ejb-class.readOnly = true
ejb-jar.enterprise-beans.session.session-type.rwiProperty = ejbStateful
ejb-jar.enterprise-beans.session.transaction-type.rwiProperty = $ejbTransactionType

ejb-jar.enterprise-beans.session.env-entry.description.rwiProperty = $doc
ejb-jar.enterprise-beans.session.env-entry.env-entry-name.readOnly = true
ejb-jar.enterprise-beans.session.env-entry.env-entry-type.rwiProperty = EnvironmentEntryType
ejb-jar.enterprise-beans.session.env-entry.env-entry-value.rwiProperty = EnvironmentEntryValue

ejb-jar.enterprise-beans.session.ejb-ref.description.rwiProperty = $doc
ejb-jar.enterprise-beans.session.ejb-ref.ejb-ref-name.readOnly = true
ejb-jar.enterprise-beans.session.ejb-ref.ejb-ref-type.rwiProperty = ReferenceType
ejb-jar.enterprise-beans.session.ejb-ref.home.rwiProperty = HomeInterface
ejb-jar.enterprise-beans.session.ejb-ref.remote.rwiProperty = RemoteInterface
ejb-jar.enterprise-beans.session.ejb-ref.ejb-link.rwiProperty = EJBLink

ejb-jar.enterprise-beans.session.security-role-ref.description.rwiProperty = $doc
ejb-jar.enterprise-beans.session.security-role-ref.role-name.readOnly = true
ejb-jar.enterprise-beans.session.security-role-ref.role-link.rwiProperty = $name

ejb-jar.enterprise-beans.session.resource-ref.description.rwiProperty = $doc
ejb-jar.enterprise-beans.session.resource-ref.res-ref-name.readOnly = true
ejb-jar.enterprise-beans.session.resource-ref.res-type.rwiProperty = ResourceRefType
ejb-jar.enterprise-beans.session.resource-ref.res-auth.rwiProperty = ResourceRefAuth

#assembly
ejb-jar.assembly-descriptor.security-role.description.rwiProperty = $doc
ejb-jar.assembly-descriptor.security-role.role-name.rwiProperty = $name

ejb-jar.assembly-descriptor.method-permission.description.rwiProperty = $doc
ejb-jar.assembly-descriptor.method-permission.role-name.rwiProperty = $name

#ejb-jar.assembly-descriptor.method-permission.method.description.rwiProperty = $doc
#ejb-jar.assembly-descriptor.method-permission.method.ejb-name.rwiProperty = $ejbBeanIdentifier
#ejb-jar.assembly-descriptor.method-permission.method.method-intf.rwiProperty =
#ejb-jar.assembly-descriptor.method-permission.method.method-name.rwiProperty = $name
#ejb-jar.assembly-descriptor.method-permission.method.method-params.method-param.rwiProperty = $type

#ejb-jar.assembly-descriptor.container-transaction.description.rwiProperty = $doc
#ejb-jar.assembly-descriptor.container-transaction.trans-attribute.rwiProperty = $ejbTransactionAttribute

ejb-jar.assembly-descriptor.container-transaction.method.description.rwiProperty = $doc
#ejb-jar.assembly-descriptor.container-transaction.method.ejb-name.rwiProperty = $ejbBeanIdentifier
#ejb-jar.assembly-descriptor.container-transaction.method.method-intf.rwiProperty =
#ejb-jar.assembly-descriptor.container-transaction.method.method-name.rwiProperty = $name
#ejb-jar.assembly-descriptor.container-transaction.method.method-params.method-param.rwiProperty = $type

#
#
#

assembly-descriptor.attr.id.hidden = true
cmp-field.attr.id.hidden = true
container-transaction.attr.id.hidden = true
description.attr.id.hidden = true
display-name.attr.id.hidden = true
ejb-class.attr.id.hidden = true
ejb-client-jar.attr.id.hidden = true
ejb-jar.attr.id.hidden = true
ejb-link.attr.id.hidden = true
ejb-name.attr.id.hidden = true
ejb-ref.attr.id.hidden = true
ejb-ref-name.attr.id.hidden = true
ejb-ref-type.attr.id.hidden = true
enterprise-beans.attr.id.hidden = true
entity.attr.id.hidden = true
env-entry.attr.id.hidden = true
env-entry-name.attr.id.hidden = true
env-entry-type.attr.id.hidden = true
env-entry-value.attr.id.hidden = true
field-name.attr.id.hidden = true
home.attr.id.hidden = true
large-icon.attr.id.hidden = true
method.attr.id.hidden = true
method-intf.attr.id.hidden = true
method-name.attr.id.hidden = true
method-param.attr.id.hidden = true
method-params.attr.id.hidden = true
method-permission.attr.id.hidden = true
persistence-type.attr.id.hidden = true
prim-key-class.attr.id.hidden = true
primkey-field.attr.id.hidden = true
reentrant.attr.id.hidden = true
remote.attr.id.hidden = true
res-auth.attr.id.hidden = true
res-ref-name.attr.id.hidden = true
res-type.attr.id.hidden = true
resource-ref.attr.id.hidden = true
role-link.attr.id.hidden = true
role-name.attr.id.hidden = true
security-role.attr.id.hidden = true
security-role-ref.attr.id.hidden = true
session-type.attr.id.hidden = true
session.attr.id.hidden = true
small-icon.attr.id.hidden = true
transaction-type.attr.id.hidden = true
trans-attribute.attr.id.hidden = true
